#include <avr/io.h>
#include <avr/pgmspace.h>

void glcd_init();
void glcd_writeCommand(unsigned char com);
void glcd_writeData(unsigned char data);
void glcd_clearScreen();
void glcd_drawImage_P(const uint8_t* ptr, unsigned char x , unsigned char y , unsigned char width , unsigned char high);
void glcd_drawImage(unsigned char *ptr, unsigned char x , unsigned char y , unsigned char width , unsigned char high);
char glcd_readdata();

/*************************************/
//hardware regs
#define cmd_dir		DDRB	//command pins port direction register
#define cmd_out		PORTB	//command pins port output register
#define data_dir	DDRD	//data pins port direction register
#define data_out	PORTD	//data pins port output register
#define data_in		PIND	//data pins port input register
//command pins
#define EN			PB2		//EN pin bit number
#define RW			PB1		//RW pin bit number
#define DI			PB0		//DI pin bit number
#define CS2			PB4		//CS2 pin bit number
#define CS1			PB3		//CS1 pin bit number
// Commands
#define LCD_ON				0x3F
#define LCD_OFF				0x3E
#define LCD_SET_ADD			0x40
#define LCD_SET_PAGE		0xB8
#define LCD_DISP_START		0xC0
